FROM alpine as qemu

RUN if [ -n "x86_64" ]; then \
		wget -O /qemu-x86_64-static https://github.com/multiarch/qemu-user-static/releases/download/v4.1.0-1/qemu-x86_64-static; \
	else \
		echo '#!/bin/sh\n\ntrue' > /qemu-x86_64-static; \
	fi; \
	chmod a+x /qemu-x86_64-static

FROM amd64/alpine:3.15

COPY --from=qemu /qemu-x86_64-static /usr/bin/

# INSTALL RUNTIME DEPENDENCIES
RUN apk add connman openrc dbus; \
	rc-update add modules default; \
	rc-update add dbus default

ADD files/ /

RUN rc-update add g_ether_setup default; \
	rc-update add g_ether_persist default

# CONFIGURATION

CMD [ "/sbin/init" ]

